package com.microservices.dss.projects.service;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.microservices.dss.projects.domain.vo.GlobalResourcesDataVo;

import java.text.ParseException;

public interface IProjectGlobalResourcesService {
    GlobalResourcesDataVo getProjectGlobalResourcesData() throws ParseException, JsonProcessingException;

    JSONObject getLatestActivitiesData(int page, int limit);

    JSONObject getProjectRankData(int time, int limit);

    JSONObject getUserRankData(int time, int limit);
}
